Bug 1278669 - [abrt] WARNING: CPU: 3 PID: 1723 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x66/0x80()
[abrt] WARNING: CPU: 3 PID: 1723 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x66/0x80()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7b16f2e8422f83a1c693e893115...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 01:34 EST by Jakub Herkel
Modified: 2016-12-20 10:26 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:26:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (110.50 KB, text/plain)
2015-11-06 01:34 EST, Jakub Herkel
no flags Details

  None (edit)
Description Jakub Herkel 2015-11-06 01:34:03 EST
Description of problem:
I wake up computer from sleep mode.

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 3 PID: 1723 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x66/0x80()
sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:01.0/0000:01:00.0/power_dpm_state'
Modules linked in: rfcomm fuse cmac nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack bnep ebtable_broute bridge stp llc ebtable_filter ebtable_nat ebtables ip6table_security ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_filter ip6_tables iptable_security iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw arc4 ath9k ath9k_common snd_hda_codec_realtek ath9k_hw snd_hda_codec_generic intel_rapl snd_hda_codec_hdmi iosf_mbi x86_pkg_temp_thermal coretemp ath snd_hda_intel snd_hda_codec iTCO_wdt kvm_intel eeepc_wmi asus_wmi iTCO_vendor_support mac80211 snd_hda_core sparse_keymap mxm_wmi kvm snd_hwdep snd_seq snd_seq_device btusb btrtl btbcm
 btintel snd_pcm crct10dif_pclmul crc32_pclmul bluetooth cfg80211 ses enclosure snd_timer snd mei_me rfkill i2c_i801 joydev lpc_ich soundcore mei shpchp video wmi nfsd auth_rpcgss nfs_acl lockd grace sunrpc btrfs xor amdkfd amd_iommu_v2 radeon raid6_pq i2c_algo_bit drm_kms_helper crc32c_intel ttm e1000e serio_raw drm uas usb_storage ptp pps_core
CPU: 3 PID: 1723 Comm: kworker/u16:44 Not tainted 4.2.5-300.fc23.x86_64 #1
Hardware name: System manufacturer System Product Name/P8Z77-V PRO, BIOS 2104 08/13/2013
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000cb3a8d36 ffff88007ff67b08 ffffffff8177280a
 0000000000000000 ffff88007ff67b60 ffff88007ff67b48 ffffffff8109e4b6
 00005f857ff67b48 ffff88040c777000 ffffffffa02c45a8 ffff88040bd3a258
Call Trace:
 [<ffffffff8177280a>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff81296d38>] ? kernfs_path+0x48/0x60
 [<ffffffff8129a316>] sysfs_warn_dup+0x66/0x80
 [<ffffffff8129a027>] sysfs_add_file_mode_ns+0x127/0x180
 [<ffffffff8129a0aa>] sysfs_create_file_ns+0x2a/0x30
 [<ffffffff814cb2c2>] device_create_file+0x42/0x90
 [<ffffffffa01f5946>] radeon_pm_late_init+0x76/0x1a0 [radeon]
 [<ffffffffa0191922>] radeon_resume_kms+0x232/0x3b0 [radeon]
 [<ffffffffa018f0bf>] radeon_pmops_resume+0x1f/0x30 [radeon]
 [<ffffffff813e6c08>] pci_pm_resume+0x68/0xb0
 [<ffffffff813e6ba0>] ? pci_pm_thaw+0x90/0x90
 [<ffffffff814dc56a>] dpm_run_callback+0x7a/0xf0
 [<ffffffff814dca93>] device_resume+0xd3/0x1f0
 [<ffffffff814dcbd1>] async_resume+0x21/0x50
 [<ffffffff810bf09a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810b650e>] process_one_work+0x19e/0x3f0
 [<ffffffff810b67ae>] worker_thread+0x4e/0x450
 [<ffffffff810b6760>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bc8b8>] kthread+0xd8/0xf0
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817795df>] ret_from_fork+0x3f/0x70
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
Comment 1 Jakub Herkel 2015-11-06 01:34:12 EST
Created attachment 1090463 [details]
File: dmesg
Comment 2 Ashesh Kumar Singh 2015-11-07 03:41:54 EST
Description of problem:
Just logged in to my ststem and the GNOME Shell crashed. Happens each time.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.2.5-300.fc23.x86_64 root=UUID=3894f73d-e32a-45bb-9037-2b2e4a6f717c ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 765 at fs/sysfs/dir.c:31 sysfs_warn_dup+0x66/0x80()
sysfs: cannot create duplicate filename '/devices/pci0000:00/0000:00:01.0/0000:01:00.0/power_dpm_state'
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_filter ebtable_nat ebtable_broute bridge ebtables ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_filter ip6_tables iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw snd_hda_codec_hdmi arc4 intel_rapl iosf_mbi snd_hda_codec_idt rt2800pci rt2800mmio snd_hda_codec_generic x86_pkg_temp_thermal rt2800lib coretemp snd_hda_intel rt2x00pci rt2x00mmio snd_hda_codec rt2x00lib kvm snd_hda_core snd_hwdep mac80211 snd_seq snd_seq_device snd_pcm uvcvideo vfat iTCO_wdt iTCO_vendor_support
 fat hp_wmi videobuf2_vmalloc crct10dif_pclmul sparse_keymap cfg80211 videobuf2_core crc32_pclmul videobuf2_memops crc32c_intel v4l2_common videodev snd_timer joydev snd media mei_me rtsx_pci_ms eeprom_93cx6 crc_ccitt mei rfkill memstick lpc_ich i2c_i801 soundcore wmi hp_accel shpchp lis3lv02d hp_wireless input_polldev nfsd auth_rpcgss nfs_acl lockd grace sunrpc amdkfd amd_iommu_v2 radeon i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit ttm drm_kms_helper 8021q garp stp llc mrp serio_raw r8169 drm mii rtsx_pci video
CPU: 0 PID: 765 Comm: systemd-logind Not tainted 4.2.5-300.fc23.x86_64 #1
Hardware name: Hewlett-Packard HP ENVY Sleekbook 4 PC/1895, BIOS F.25 05/16/2014
 0000000000000000 000000005ad14817 ffff88009872b7c8 ffffffff8177280a
 0000000000000000 ffff88009872b820 ffff88009872b808 ffffffff8109e4b6
 000065149872b808 ffff880082a38000 ffffffffa03ac5a8 ffff880159bb3e88
Call Trace:
 [<ffffffff8177280a>] dump_stack+0x45/0x57
 [<ffffffff8109e4b6>] warn_slowpath_common+0x86/0xc0
 [<ffffffff8109e545>] warn_slowpath_fmt+0x55/0x70
 [<ffffffff81296d38>] ? kernfs_path+0x48/0x60
 [<ffffffff8129a316>] sysfs_warn_dup+0x66/0x80
 [<ffffffff8129a027>] sysfs_add_file_mode_ns+0x127/0x180
 [<ffffffff8129a0aa>] sysfs_create_file_ns+0x2a/0x30
 [<ffffffff814cb2c2>] device_create_file+0x42/0x90
 [<ffffffffa02dd946>] radeon_pm_late_init+0x76/0x1a0 [radeon]
 [<ffffffffa0279922>] radeon_resume_kms+0x232/0x3b0 [radeon]
 [<ffffffffa0277143>] radeon_pmops_runtime_resume+0x73/0xb0 [radeon]
 [<ffffffff813e5c1f>] pci_pm_runtime_resume+0x7f/0xb0
 [<ffffffff814c86b0>] ? vga_switcheroo_runtime_suspend+0x60/0x60
 [<ffffffff814c86e9>] vga_switcheroo_runtime_resume+0x39/0x40
 [<ffffffff814d9c07>] __rpm_callback+0x27/0x70
 [<ffffffff814c86b0>] ? vga_switcheroo_runtime_suspend+0x60/0x60
 [<ffffffff814d9c78>] rpm_callback+0x28/0x90
 [<ffffffff814c86b0>] ? vga_switcheroo_runtime_suspend+0x60/0x60
 [<ffffffff814da57a>] rpm_resume+0x44a/0x650
 [<ffffffff813a615f>] ? string.isra.4+0x3f/0xd0
 [<ffffffff814db53e>] __pm_runtime_resume+0x4e/0x70
 [<ffffffffa027bad6>] radeon_driver_open_kms+0x36/0x1b0 [radeon]
 [<ffffffffa002e5f4>] drm_open+0x1c4/0x490 [drm]
 [<ffffffff81222381>] ? exact_lock+0x11/0x20
 [<ffffffffa0034bd9>] drm_stub_open+0xa9/0x120 [drm]
 [<ffffffff812229f6>] chrdev_open+0xb6/0x180
 [<ffffffff8121bb6f>] do_dentry_open+0x1ff/0x2f0
 [<ffffffff81222940>] ? cdev_put+0x30/0x30
 [<ffffffff8121d006>] vfs_open+0x56/0x60
 [<ffffffff8122c034>] path_openat+0x1e4/0x12a0
 [<ffffffff81234fcf>] ? dput+0x2f/0x200
 [<ffffffff8122e2ba>] do_filp_open+0x8a/0x100
 [<ffffffff81200133>] ? kmem_cache_alloc+0x193/0x210
 [<ffffffff8123b43f>] ? __alloc_fd+0x3f/0x100
 [<ffffffff8121d3ca>] do_sys_open+0x13a/0x230
 [<ffffffff8122366a>] ? SyS_readlinkat+0x9a/0x120
 [<ffffffff8121d4de>] SyS_open+0x1e/0x20
 [<ffffffff817791ee>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 3 Fedora End Of Life 2016-11-24 08:07:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 10:26:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.